package enseirb.myinpulse.api;

import enseirb.myinpulse.postgres_db.controller.ComptesRendusController;
import enseirb.myinpulse.postgres_db.model.ComptesRendus;
import enseirb.myinpulse.postgres_db.repository.ComptesRendusRepository;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

@SpringBootApplication
@RestController
public class GetUserInfo {

    @GetMapping("/unauth/random")
    public boolean rand() {
        return Math.random() > 0.5;
    }

    @GetMapping("/admin/random")
    public boolean rand2() {
        return Math.random() > 0.5;
    }

    @GetMapping("/entrepreneur/random")
    public boolean rand3() {
        return Math.random() > 0.5;
    }

    @Autowired
    @GetMapping("/unauth/dev")
    public ComptesRendus testApi(ComptesRendusRepository repository) {
        ComptesRendusController comptesRendusController = new ComptesRendusController(repository);
        return comptesRendusController.getComptesRendusById((long) 1);
    }
}
